Subject: gitweb: Smoke test

From: Lea Wiemann <[email-masked]>
Date: Wed, 28 May 2008 20:56:33 +0200

FYI and in case you're interested, I've implemented a smoke test for 
gitweb in a branch, here: 
http://repo.or.cz/w/git/gitweb-caching.git?a=tree;f=gitweb/test;h=cccee14b2571200861ffc05fbfae12c6d17e919d;hb=HEAD

It spiders your local gitweb site (which preferably only contains a 
really small test repository) with wget, and reports any problems, i.e. 
broken links or crashes of the CGI script.

The same mechanism might also be usable to view recursive diffs between 
old and new output, to see if anything has changed.  I'll probably 
implement that later when I start doing refactorings on gitweb.  Perhaps 
we should also have a real test suite at some point, though I'm not 
entirely sure yet how to approach that -- I'll have to dig into the code 
first. :)

(If there's any desire to copy the script to mainline, let me know -- 
I'll be happy with leaving it on the branch for now, though.)

-- Lea